function SmartMount_ActionButton_OnLoad()
	-- check for SmartMount, r106+
	if type(SmartMount.Buttons) ~= 'table' then
		DEFAULT_CHAT_FRAME:AddMessage('SmartMount-ActionButton: SmartMount r106+ is required')
		return
	end
	
	-- Globals
	SmartMountAB_Button:RegisterForDrag('LeftButton')
	SmartMountAB_Button:RegisterForClicks('LeftButtonUp', 'RightButtonUp', 'MiddleButtonUp')
	
	-- ButtonFacade
	local LibButtonFacade = LibStub and LibStub('LibButtonFacade', true)
	if LibButtonFacade then
		-- have we already a setup?
		if type(SmartMountAB_BFConfig) == 'table' then
			LibButtonFacade:Group('SmartMount', 'Button'):Skin(unpack(SmartMountAB_BFConfig))
		end
		
		-- setup callback
		LibButtonFacade:RegisterSkinCallback('SmartMount',
			function(_, skin, glossAlpha, gloss, _, _, colors)
				if type(SmartMountAB_BFConfig) ~= 'table' then
					SmartMountAB_BFConfig = {}
				end
				SmartMountAB_BFConfig[1] = skin
				SmartMountAB_BFConfig[2] = glossAlpha
				SmartMountAB_BFConfig[3] = gloss
				SmartMountAB_BFConfig[4] = colors
			end
		)
		
		-- add the button
		LibButtonFacade:Group('SmartMount', 'Button'):AddButton(_G['SmartMount_Button'])
	end
	
	-- add to SmartMount
	table.insert(SmartMount.Buttons, SmartMountAB_Button)
	if SmartMount.InitedClick then
		SmartMount:PostClick('LeftButton', SmartMountAB_Button)
		SmartMount:PostClick('RightButton', SmartMountAB_Button)
		SmartMount:PostClick('MiddleButton', SmartMountAB_Button)
	end -- if

	SmartMountAB_Button:Show()
end
